VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsDataStatus"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Public idStatus As Integer
Public Nom As String
Public Ordre As Integer
Public Valide As Boolean

Private rec As Recordset
Private strRequete As String
Public Sub ChargeStatus()
    
    If QShema.Status.Count = 0 Then
        Set rec = Base.OpenRecordset("Select * from Status", dbOpenForwardOnly, dbReadOnly)
        
        With rec
            Do While Not .EOF
                
                Me.idStatus = .Fields("idStatus")
                Me.Nom = .Fields("Nom")
                Me.Ordre = .Fields("Ordre")
                Me.Valide = .Fields("Valide")

                QShema.Status.Add Me, "*" & Me.idStatus
                .MoveNext
            Loop
            .Close
        End With
    End If

End Sub
